@echo off
If exist PokemonBlack.nds goto yes
If exist *.nds ren *.nds PokemonBlack.nds
If exist *.nd5 ren *.nd5 PokemonBlack.nds
If not exist *.nds goto nope
:yes
echo Pokemon Blaze Black - Full Version
color 0F
echo Patching...
xdelta.exe -f -d -s PokemonBlack.nds BlazeBlackFull.xdelta PokemonBlazeBlackFull.nds
echo ...All Done!
pause
exit
:nope
echo ROM not Found
echo Place ROM in Folder (PokemonBlack.nds)
color 0F
pause
exit